Awkward Array: ForthInputBuffer Class Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ForthInputBuffer Class Reference

HERE. More...

`#include <ForthInputBuffer.h>`

## Public Member Functions
| ForthInputBuffer (const std::shared_ptr< void > ptr, int64_t offset, int64_t length)
| HERE. More...
uint8_t | peek_byte (int64_t after, util::ForthError &err) noexcept
| HERE. More...
void * | read (int64_t num_bytes, util::ForthError &err) noexcept
| HERE. More...
uint8_t | read_byte (util::ForthError &err) noexcept
| HERE. More...
int64_t | read_enum (const std::vector< std::string > &strings, int64_t start, int64_t stop) noexcept
| HERE. More...
uint64_t | read_varint (util::ForthError &err) noexcept
| HERE. More...
int64_t | read_zigzag (util::ForthError &err) noexcept
| HERE. More...
int64_t | read_textint (util::ForthError &err) noexcept
| HERE. More...
double | read_textfloat (util::ForthError &err) noexcept
| HERE. More...
void | read_quotedstr (char *string_buffer, int64_t max_string_size, int64_t &length, util::ForthError &err) noexcept
| HERE. More...
void | seek (int64_t to, util::ForthError &err) noexcept
| HERE. More...
void | skip (int64_t num_bytes, util::ForthError &err) noexcept
| HERE. More...
void | skipws () noexcept
| HERE. More...
bool | end () const noexcept
| HERE. More...
int64_t | pos () const noexcept
| HERE. More...
int64_t | len () const noexcept
| HERE. More...
std::shared_ptr< void > | ptr () noexcept
| Returns a shared pointer to an AwkwardForth input buffer. More...

## Detailed Description

HERE.

THERE

## Constructor & Destructor Documentation

## ◆ ForthInputBuffer()

ForthInputBuffer | ( | const std::shared_ptr< void > | ptr,
|  | int64_t | offset,
|  | int64_t | length
| ) |  |

HERE.

## Member Function Documentation

## ◆ end()

bool end | ( |  | ) | const
| noexcept

HERE.

## ◆ len()

int64_t len | ( |  | ) | const
| noexcept

HERE.

## ◆ peek_byte()

uint8_t peek_byte | ( | int64_t | after,
|  | util::ForthError & | err
| ) |  |
| noexcept

HERE.

## ◆ pos()

int64_t pos | ( |  | ) | const
| noexcept

HERE.

## ◆ ptr()

std::shared_ptr< void > ptr | ( |  | ) |
| noexcept

Returns a shared pointer to an AwkwardForth input buffer.

## ◆ read()

void * read | ( | int64_t | num_bytes,
|  | util::ForthError & | err
| ) |  |
| noexcept

HERE.

## ◆ read_byte()

uint8_t read_byte | ( | util::ForthError & | err | ) |
| noexcept

HERE.

## ◆ read_enum()

int64_t read_enum | ( | const std::vector< std::string > & | strings,
|  | int64_t | start,
|  | int64_t | stop
| ) |  |
| noexcept

HERE.

## ◆ read_quotedstr()

void read_quotedstr | ( | char * | string_buffer,
|  | int64_t | max_string_size,
|  | int64_t & | length,
|  | util::ForthError & | err
| ) |  |
| noexcept

HERE.

## ◆ read_textfloat()

double read_textfloat | ( | util::ForthError & | err | ) |
| noexcept

HERE.

## ◆ read_textint()

int64_t read_textint | ( | util::ForthError & | err | ) |
| noexcept

HERE.

## ◆ read_varint()

uint64_t read_varint | ( | util::ForthError & | err | ) |
| noexcept

HERE.

## ◆ read_zigzag()

int64_t read_zigzag | ( | util::ForthError & | err | ) |
| noexcept

HERE.

## ◆ seek()

void seek | ( | int64_t | to,
|  | util::ForthError & | err
| ) |  |
| noexcept

HERE.

## ◆ skip()

void skip | ( | int64_t | num_bytes,
|  | util::ForthError & | err
| ) |  |
| noexcept

HERE.

## ◆ skipws()

void skipws | ( |  | ) |
| noexcept

HERE.

The documentation for this class was generated from the following file:

- include/awkward/forth/ForthInputBuffer.h